## qt6-translations 6.4.2

=== translations/CMakeLists.txt ===
# special case skip regeneration

add_custom_target(ts-all)

set(repo_root_directory "${CMAKE_CURRENT_SOURCE_DIR}/../..")
set(en_ts_file_dir "${CMAKE_CURRENT_BINARY_DIR}/en_ts")

# Create a rudimentary .ts file in ${en_ts_file_dir}.
function(generate_empty_ts_file file_name)
    if(NOT EXISTS "${en_ts_file_dir}/${file_name}")
        file(WRITE "${en_ts_file_dir}/${file_name}" "<TS></TS>")
    endif()
endfunction()

function(add_ts_target target input_file output_file)
    add_custom_target(${target}
        COMMAND ${QT_CMAKE_EXPORT_NAMESPACE}::lupdate -locations relative -no-ui-lines -no-sort "@${input_file}" -ts ${output_file}
    )
endfunction()

function(add_ts_targets catalog)
    cmake_parse_arguments(arg "" "" "DIRECTORIES;EXCLUDE" ${ARGN})
    generate_empty_ts_file("${catalog}_en.ts")
    file(GLOB ts_files "${catalog}_*.ts")

    set(languages)
    foreach(file IN LISTS ts_files)
        if(file MATCHES "([a-z][a-z](_[A-Z][A-Z])?).ts$")
            list(APPEND languages ${CMAKE_MATCH_1})
        endif()
    endforeach()

    set(file_list)
    foreach(dir IN LISTS arg_DIRECTORIES)
        set(dir_path "${repo_root_directory}/${dir}")
        if (NOT IS_DIRECTORY ${dir_path})
            message(WARNING "Directory '${dir_path}' for ${catalog} does not exist. Skipping...")
            continue()
        endif()
        file(GLOB_RECURSE catalog_files "${dir_path}/**")
        list(APPEND file_list ${catalog_files})
    endforeach()
    if (NOT file_list)
        message(WARNING "No source files located for ${catalog}, skipping target creation")
        return()
    endif()

    set(source_files_list_file "${CMAKE_CURRENT_BINARY_DIR}/${catalog}_file_list.txt")
    set(inclusion_regex "\\.h$|\\.cpp$|\\.hpp$|\\.cxx$|\\.cc$|\\.mm$|\\.qml$|\\.ui$")
    list(FILTER file_list INCLUDE REGEX "${inclusion_regex}")
    list(FILTER file_list EXCLUDE REGEX /doc/snippets/)
    if (arg_EXCLUDE)
        list(FILTER file_list EXCLUDE REGEX ${arg_EXCLUDE})
    endif()
    list(JOIN file_list "\n" file_list_string)

    file(GENERATE
        OUTPUT "${source_files_list_file}"
        CONTENT "${file_list_string}"
    )

    add_custom_target(ts-${catalog}-all)
    add_dependencies(ts-all ts-${catalog}-all)
    foreach(lang IN LISTS languages)
        set(lang_target_name ts-${catalog}-${lang})
        add_ts_target(${lang_target_name}
            ${source_files_list_file}
            "${CMAKE_CURRENT_SOURCE_DIR}/${catalog}_${lang}.ts"
        )
        add_dependencies(ts-${catalog}-all ${lang_target_name})

        if(NOT TARGET ts-${lang})
            add_custom_target(ts-${lang})
        endif()
        add_dependencies(ts-${lang} ${lang_target_name})
    endforeach()
    add_ts_target(ts-${catalog}-untranslated
        ${source_files_list_file}
        "${CMAKE_CURRENT_SOURCE_DIR}/${catalog}_untranslated.ts"
    )
    add_dependencies(ts-${catalog}-all ts-${catalog}-untranslated)
endfunction()

# Create the English "translation" for "qt".
generate_empty_ts_file("qt_en.ts")

# Create TS targets
add_ts_targets(qtbase
    DIRECTORIES
        qtbase/src
        qtactiveqt/src # just 4 strings from QAxSelect
        qtimageformats/src # just 10 error messages from tga reader. uses bad context.
)
add_ts_targets(qtdeclarative DIRECTORIES qtdeclarative/src
               EXCLUDE declarative/src/quickcontrols2/designer)
add_ts_targets(qtmultimedia DIRECTORIES qtmultimedia/src)
#add_ts_targets(qtsvg DIRECTORIES qtsvg/src) # empty
#add_ts_targets(qtwebkit DIRECTORIES qtwebkit) # messages from test browser only

#add_ts_targets(qt3d DIRECTIORIES qt3d/src)  # empty except one dubious error message
add_ts_targets(qtconnectivity DIRECTORIES qtconnectivity/src)
#add_ts_targets(qtdocgallery DIRECTORIES qtdocgallery/src)  # dead module
#add_ts_targets(qtfeedback DIRECTORIES qtfeedback/src)  # empty
#add_ts_targets(qtjsondb DIRECTORIES qtjsondb/src)  # dead module, just 3 error messages
add_ts_targets(qtlocation DIRECTORIES qtlocation/src)
#add_ts_targets(qtpim DIRECTORIES qtpim/src)  # not released with qt
#add_ts_targets(qtsensors DIRECTORIES qtsensors/src) # empty
#add_ts_targets(qtsystems DIRECTORIES qtsystems/src)  # not released with qt
add_ts_targets(qtwebsockets DIRECTORIES qtwebsockets/src)
add_ts_targets(qtserialport DIRECTORIES qtserialport/src)
add_ts_targets(qtwebengine DIRECTORIES qtwebengine/src)
add_ts_targets(designer DIRECTORIES qttools/src/designer
                                    qttools/src/shared/deviceskin
                                    qttools/src/shared/findwidget
                                    qttools/src/shared/fontpanel
                                    qttools/src/shared/qtgradienteditor
                                    qttools/src/shared/qtpropertybrowser
                                    qttools/src/shared/qttoolbardialog)
add_ts_targets(linguist DIRECTORIES qttools/src/linguist/linguist)
add_ts_targets(assistant DIRECTORIES qttools/src/assistant/assistant
                                     qttools/src/shared/fontpanel) # add qcollectiongenerator here as well?
add_ts_targets(qt_help DIRECTORIES qttools/src/assistant/help)
#add_ts_targets(qmlscene DIRECTORIES qtdeclarative/tools/qmlscene)  # almost empty due to missing tr()

# Create check target
add_custom_target(check-ts
    COMMAND perl check-ts.pl
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
add_dependencies(check-ts ts-all)

# Update and install qm command
add_custom_target(updateqm ALL)

file(GLOB ts_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.ts")
file(GLOB en_ts_files "${en_ts_file_dir}/*.ts")
list(APPEND ts_files ${en_ts_files})

if(QT_WILL_INSTALL)
    set(qm_output_dir "${QT_BUILD_DIR}/${INSTALL_TRANSLATIONSDIR}")
else()
    set(qm_output_dir "${QT_BUILD_INTERNALS_RELOCATABLE_INSTALL_PREFIX}/${INSTALL_TRANSLATIONSDIR}")
endif()

set_source_files_properties(${ts_files} PROPERTIES OUTPUT_LOCATION "${qm_output_dir}")
qt_add_lrelease(updateqm
    TS_FILES ${ts_files}
    NO_GLOBAL_TARGET
    QM_FILES_OUTPUT_VARIABLE qm_files
    OPTIONS "-silent")
qt_install(FILES ${qm_files} DESTINATION "${INSTALL_TRANSLATIONSDIR}")

# Custom target to add modified ts files to git
add_custom_target(stage-ts
    COMMAND ${CMAKE_COMMAND} -DLCONVERT_BIN="$<TARGET_FILE:${QT_CMAKE_EXPORT_NAMESPACE}::lconvert>" -P ${CMAKE_CURRENT_SOURCE_DIR}/git-stage-script.cmake
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    COMMAND_EXPAND_LISTS
)

## qt6-translations 6.2.4

=== debian/changelog ===
qt6-translations (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 18:09:02 +0200

qt6-translations (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:26:22 +0100

qt6-translations (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 16:33:50 +0100

qt6-translations (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999896)

 -- Patrick Franz <deltaone@debian.org>  Sat, 11 Dec 2021 11:19:34 +0100

=== debian/control ===
Source: qt6-translations
Section: localization
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-l10n-tools (>= 6.2.4~),
               qt6-tools-dev (>= 6.2.4~),
               qt6-tools-dev-tools (>= 6.2.4~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
Rules-Requires-Root: no

Package: qt6-translations-l10n
Architecture: all
Depends: ${misc:Depends}
Description: translations for Qt 6
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides translation files for Qt itself and some base apps,
 such as Qt Linguist, Qt Assistant and Qt Designer.

## qt6-translations 6.3.1

=== debian/changelog ===
qt6-translations (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:24:02 +0200

qt6-translations (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 18:49:02 +0200

qt6-translations (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Jun 2022 21:07:30 +0200

qt6-translations (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper-compat (= 13),
                ninja-build,
                pkg-config,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-l10n-tools (>= 6.2.4~),
-               qt6-tools-dev (>= 6.2.4~),
-               qt6-tools-dev-tools (>= 6.2.4~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-l10n-tools (>= 6.3.1~),
+               qt6-tools-dev (>= 6.3.1~),
+               qt6-tools-dev-tools (>= 6.3.1~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git

## qt6-translations 6.4.2

=== debian/changelog ===
qt6-translations (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:13:39 +0100

qt6-translations (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:12 +0100

qt6-translations (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:51 +0100

qt6-translations (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 14:57:21 +0100

qt6-translations (6.4.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:32:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper-compat (= 13),
                ninja-build,
                pkg-config,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-l10n-tools (>= 6.3.1~),
-               qt6-tools-dev (>= 6.3.1~),
-               qt6-tools-dev-tools (>= 6.3.1~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-l10n-tools (>= 6.4.2~),
+               qt6-tools-dev (>= 6.4.2~),
+               qt6-tools-dev-tools (>= 6.4.2~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake+ninja

## qt6-translations 6.6.0

=== debian/changelog ===
qt6-translations (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.

 -- Patrick Franz <deltaone@debian.org>  Thu, 16 Nov 2023 22:08:40 +0100

## qt6-translations 6.6.2

=== debian/changelog ===
qt6-translations (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:43:54 +0200

qt6-translations (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 16:07:25 +0100

qt6-translations (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Dec 2023 22:13:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-l10n-tools (>= 6.4.2~),
-               qt6-tools-dev (>= 6.4.2~),
-               qt6-tools-dev-tools (>= 6.4.2~),
+               pkgconf,
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-l10n-tools (>= 6.6.2~),
+               qt6-tools-dev (>= 6.6.2~),
+               qt6-tools-dev-tools (>= 6.6.2~),
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations

## qt6-translations 6.7.2

=== debian/changelog ===
qt6-translations (6.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:08:58 +0200

qt6-translations (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 19:21:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper-compat (= 13),
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-l10n-tools (>= 6.6.2~),
-               qt6-tools-dev (>= 6.6.2~),
-               qt6-tools-dev-tools (>= 6.6.2~),
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-l10n-tools (>= 6.7.2~),
+               qt6-tools-dev (>= 6.7.2~),
+               qt6-tools-dev-tools (>= 6.7.2~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git

## qt6-translations 6.8.0

=== debian/changelog ===
qt6-translations (6.8.0-0deepin1) unstable; urgency=medium

  * Add zh_HK translations and update zh_TW translations
    - Add Hong Kong Traditional Chinese translation files
    - Update Taiwan Traditional Chinese translation files

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 02 Sep 2025 11:28:19 +0800

qt6-translations (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 09:47:33 +0800

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-l10n-tools (>= 6.7.2~),
-               qt6-tools-dev (>= 6.7.2~),
-               qt6-tools-dev-tools (>= 6.7.2~),
-Standards-Version: 4.7.0
+               pkg-config,
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-l10n-tools (>= 6.8.0~),
+               qt6-tools-dev (>= 6.8.0~),
+               qt6-tools-dev-tools (>= 6.8.0~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git

## qt6-translations 6.8.1

=== debian/changelog ===
qt6-translations (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:56:09 -0600

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: qt6-translations
 Section: localization
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-l10n-tools (>= 6.8.0~),
-               qt6-tools-dev (>= 6.8.0~),
-               qt6-tools-dev-tools (>= 6.8.0~),
-Standards-Version: 4.6.2
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-l10n-tools (>= 6.8.1~),
+               qt6-tools-dev (>= 6.8.1~),
+               qt6-tools-dev-tools (>= 6.8.1~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git

## qt6-translations 6.8.2

=== CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtTranslations
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "QtTranslations"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

set(QT_REPO_NOT_WARNINGS_CLEAN TRUE)
find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Linguist)

qt_build_repo()

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,57 +1,114 @@
-# special case skip regeneration
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
+# Avoid running xmllint on each ts file to extract the ts file language.
+# We only need to do that for qt apps, not the qt translations. Speeds up
+# configuration of the repo on macOS hosts.
+set(QT_SKIP_STORE_LANGUAGES_FROM_TS_FILES TRUE)
 
 add_custom_target(ts-all)
+add_custom_target(ts-untranslated)
 
 set(repo_root_directory "${CMAKE_CURRENT_SOURCE_DIR}/../..")
 set(en_ts_file_dir "${CMAKE_CURRENT_BINARY_DIR}/en_ts")
+set(catalogs_file "${CMAKE_CURRENT_BINARY_DIR}/catalogs.json")
+set(catalogs_file_content "")
+
+# Converts a CMake list to a JSON array of strings.
+function(qttranslations_list_to_json_array out_var list_var)
+    set(result "")
+    foreach(item IN LISTS ${list_var})
+        if(NOT "${result}" STREQUAL "")
+            string(APPEND result ", ")
+        endif()
+        string(APPEND result "\"${item}\"")
+    endforeach()
+    set("${out_var}" "[${result}]" PARENT_SCOPE)
+endfunction()
 
 # Create a rudimentary .ts file in ${en_ts_file_dir}.
 function(generate_empty_ts_file file_name)
     if(NOT EXISTS "${en_ts_file_dir}/${file_name}")
-        file(WRITE "${en_ts_file_dir}/${file_name}" "<TS></TS>")
-    endif()
-endfunction()
-
-function(add_ts_target target input_file output_file)
+        file(WRITE "${en_ts_file_dir}/${file_name}" "<TS language=\"en_US\"></TS>")
+    endif()
+endfunction()
+
+function(add_ts_target target input_file)
+    set(no_value_options "")
+    set(single_value_options "")
+    set(multi_value_options TS_FILES)
+    cmake_parse_arguments(PARSE_ARGV 2 arg
+        "${no_value_options}" "${single_value_options}" "${multi_value_options}"
+    )
+    _qt_internal_validate_all_args_are_parsed(arg)
     add_custom_target(${target}
-        COMMAND ${QT_CMAKE_EXPORT_NAMESPACE}::lupdate -locations relative -no-ui-lines -no-sort "@${input_file}" -ts ${output_file}
+        COMMAND ${QT_CMAKE_EXPORT_NAMESPACE}::lupdate -locations relative -no-ui-lines -no-sort
+                "@${input_file}" -ts ${arg_TS_FILES}
+        VERBATIM
     )
 endfunction()
 
 function(add_ts_targets catalog)
-    cmake_parse_arguments(arg "" "" "DIRECTORIES;EXCLUDE" ${ARGN})
+    cmake_parse_arguments(arg "" "" "DIRECTORIES;EXCLUDE;MODULES" ${ARGN})
     generate_empty_ts_file("${catalog}_en.ts")
     file(GLOB ts_files "${catalog}_*.ts")
 
+    list(PREPEND arg_EXCLUDE "/3rdparty/" "/doc/snippets/")
+
     set(languages)
     foreach(file IN LISTS ts_files)
-        if(file MATCHES "([a-z][a-z](_[A-Z][A-Z])?).ts$")
+        if(file MATCHES "_([a-z][a-z](_[A-Z][A-Z])?).ts$")
             list(APPEND languages ${CMAKE_MATCH_1})
         endif()
     endforeach()
 
+    set(repositories "")
     set(file_list)
     foreach(dir IN LISTS arg_DIRECTORIES)
+        if(dir MATCHES "/src$")
+            string(REGEX REPLACE "/src$" "" repository "${dir}")
+            list(APPEND repositories ${repository})
+        endif()
         set(dir_path "${repo_root_directory}/${dir}")
         if (NOT IS_DIRECTORY ${dir_path})
             message(WARNING "Directory '${dir_path}' for ${catalog} does not exist. Skipping...")
             continue()
         endif()
         file(GLOB_RECURSE catalog_files "${dir_path}/**")
+        foreach(exclude_regex IN LISTS arg_EXCLUDE)
+            list(FILTER catalog_files EXCLUDE REGEX ${exclude_regex})
+        endforeach()
         list(APPEND file_list ${catalog_files})
     endforeach()
+
+    # Extend the content of catalogs.json
+    if(NOT "${catalogs_file_content}" STREQUAL "")
+        string(APPEND catalogs_file_content ",\n")
+    endif()
+    string(APPEND catalogs_file_content "  {
+    \"name\": \"${catalog}\"")
+    qttranslations_list_to_json_array(repositories_json repositories)
+    if(NOT "${repositories_json}" STREQUAL "[]")
+        string(APPEND catalogs_file_content ",
+    \"repositories\": ${repositories_json}")
+    endif()
+    qttranslations_list_to_json_array(modules_json arg_MODULES)
+    if(NOT "${modules_json}" STREQUAL "[]")
+        string(APPEND catalogs_file_content ",
+    \"modules\": ${modules_json}")
+    endif()
+    string(APPEND catalogs_file_content "\n  }")
+    set(catalogs_file_content "${catalogs_file_content}" PARENT_SCOPE)
+
     if (NOT file_list)
         message(WARNING "No source files located for ${catalog}, skipping target creation")
         return()
     endif()
 
+    # Generate the list of source files
     set(source_files_list_file "${CMAKE_CURRENT_BINARY_DIR}/${catalog}_file_list.txt")
     set(inclusion_regex "\\.h$|\\.cpp$|\\.hpp$|\\.cxx$|\\.cc$|\\.mm$|\\.qml$|\\.ui$")
     list(FILTER file_list INCLUDE REGEX "${inclusion_regex}")
-    list(FILTER file_list EXCLUDE REGEX /doc/snippets/)
-    if (arg_EXCLUDE)
-        list(FILTER file_list EXCLUDE REGEX ${arg_EXCLUDE})
-    endif()
     list(JOIN file_list "\n" file_list_string)
 
     file(GENERATE
@@ -59,26 +116,38 @@
         CONTENT "${file_list_string}"
     )
 
-    add_custom_target(ts-${catalog}-all)
-    add_dependencies(ts-all ts-${catalog}-all)
+    set(ts_files "")
     foreach(lang IN LISTS languages)
         set(lang_target_name ts-${catalog}-${lang})
+        set(ts_file "${CMAKE_CURRENT_SOURCE_DIR}/${catalog}_${lang}.ts")
+        list(APPEND ts_files "${ts_file}")
         add_ts_target(${lang_target_name}
             ${source_files_list_file}
-            "${CMAKE_CURRENT_SOURCE_DIR}/${catalog}_${lang}.ts"
+            TS_FILES "${ts_file}"
         )
-        add_dependencies(ts-${catalog}-all ${lang_target_name})
 
         if(NOT TARGET ts-${lang})
             add_custom_target(ts-${lang})
         endif()
         add_dependencies(ts-${lang} ${lang_target_name})
     endforeach()
+
+    # Add a qtfoo_untranslated.ts file. Such files should not be committed.
+    # They are meant to quickly create a template for a new language.
+    set(untranslated_ts_file "${CMAKE_CURRENT_SOURCE_DIR}/${catalog}_untranslated.ts")
+    list(APPEND ts_files "${untranslated_ts_file}")
     add_ts_target(ts-${catalog}-untranslated
         ${source_files_list_file}
-        "${CMAKE_CURRENT_SOURCE_DIR}/${catalog}_untranslated.ts"
-    )
-    add_dependencies(ts-${catalog}-all ts-${catalog}-untranslated)
+        TS_FILES "${untranslated_ts_file}"
+    )
+    add_dependencies(ts-untranslated ts-${catalog}-untranslated)
+
+    # Create a ts-qtfoo-all target that updates all ts files for this catalog in one go.
+    add_ts_target(ts-${catalog}-all
+        ${source_files_list_file}
+        TS_FILES ${ts_files}
+    )
+    add_dependencies(ts-all ts-${catalog}-all)
 endfunction()
 
 # Create the English "translation" for "qt".
@@ -92,7 +161,7 @@
         qtimageformats/src # just 10 error messages from tga reader. uses bad context.
 )
 add_ts_targets(qtdeclarative DIRECTORIES qtdeclarative/src
-               EXCLUDE declarative/src/quickcontrols2/designer)
+               EXCLUDE declarative/src/quickcontrols/designer)
 add_ts_targets(qtmultimedia DIRECTORIES qtmultimedia/src)
 #add_ts_targets(qtsvg DIRECTORIES qtsvg/src) # empty
 #add_ts_targets(qtwebkit DIRECTORIES qtwebkit) # messages from test browser only
@@ -115,19 +184,20 @@
                                     qttools/src/shared/fontpanel
                                     qttools/src/shared/qtgradienteditor
                                     qttools/src/shared/qtpropertybrowser
-                                    qttools/src/shared/qttoolbardialog)
+                                    qttools/src/shared/qttoolbardialog
+               MODULES Designer)
 add_ts_targets(linguist DIRECTORIES qttools/src/linguist/linguist)
 add_ts_targets(assistant DIRECTORIES qttools/src/assistant/assistant
                                      qttools/src/shared/fontpanel) # add qcollectiongenerator here as well?
-add_ts_targets(qt_help DIRECTORIES qttools/src/assistant/help)
+add_ts_targets(qt_help DIRECTORIES qttools/src/assistant/help
+               MODULES Help)
 #add_ts_targets(qmlscene DIRECTORIES qtdeclarative/tools/qmlscene)  # almost empty due to missing tr()
 
-# Create check target
-add_custom_target(check-ts
-    COMMAND perl check-ts.pl
-    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-)
-add_dependencies(check-ts ts-all)
+# Write the catalogs.json file. No add_ts_targets calls beyond this point!
+string(PREPEND catalogs_file_content "[\n")
+string(APPEND catalogs_file_content "\n]\n")
+file(WRITE "${catalogs_file}" "${catalogs_file_content}")
+
 
 # Update and install qm command
 add_custom_target(updateqm ALL)
@@ -150,6 +220,9 @@
     OPTIONS "-silent")
 qt_install(FILES ${qm_files} DESTINATION "${INSTALL_TRANSLATIONSDIR}")
 
+qt_path_join(catalogs_file_install_dir ${QT_INSTALL_DIR} ${INSTALL_TRANSLATIONSDIR})
+qt_copy_or_install(FILES ${catalogs_file} DESTINATION "${catalogs_file_install_dir}")
+
 # Custom target to add modified ts files to git
 add_custom_target(stage-ts
     COMMAND ${CMAKE_COMMAND} -DLCONVERT_BIN="$<TARGET_FILE:${QT_CMAKE_EXPORT_NAMESPACE}::lconvert>" -P ${CMAKE_CURRENT_SOURCE_DIR}/git-stage-script.cmake

=== debian/changelog ===
qt6-translations (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:24:26 +0100

qt6-translations (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump Qt B-Ds to 6.8.2.
  * Do not install the license-file into an architecture-dependent
    location.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 11:47:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: qt6-translations
 Section: localization
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-l10n-tools (>= 6.8.1~),
-               qt6-tools-dev (>= 6.8.1~),
-               qt6-tools-dev-tools (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-l10n-tools (>= 6.8.2~),
+               qt6-tools-dev (>= 6.8.2~),
+               qt6-tools-dev-tools (>= 6.8.2~),
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qttranslations-everywhere-src-(.*)\.tar\.xz

## qt6-translations 6.8.3

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -229,3 +229,22 @@
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     COMMAND_EXPAND_LISTS
 )
+
+qt_internal_add_sbom(Translations
+    TYPE QT_TRANSLATIONS
+    QT_LICENSE_ID "QT_COMMERCIAL_OR_BSD3"
+)
+
+qt_internal_sbom_add_files(Translations
+    FILES "${qm_files}"
+    SOURCE_FILES_PER_INPUT_FILE "${ts_files}"
+    FILE_TYPE "QT_TRANSLATION"
+    INSTALL_PATH "${INSTALL_TRANSLATIONSDIR}"
+)
+
+qt_internal_sbom_add_files(Translations
+    FILES "${catalogs_file}"
+    SOURCE_FILES "${catalogs_file}"
+    FILE_TYPE "QT_TRANSLATIONS_CATALOG"
+    INSTALL_PATH "${catalogs_file_install_dir}"
+)

=== debian/changelog ===
qt6-translations (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:28:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: qt6-translations
 Section: localization
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-l10n-tools (>= 6.8.2~),
-               qt6-tools-dev (>= 6.8.2~),
-               qt6-tools-dev-tools (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-l10n-tools (>= 6.8.3~),
+               qt6-tools-dev (>= 6.8.3~),
+               qt6-tools-dev-tools (>= 6.8.3~),
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations

## qt6-translations 6.9.1

=== debian/changelog ===
qt6-translations (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Jul 2025 16:12:19 +0200

=== debian/control ===
Source: qt6-translations
Section: localization
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               ccache,
               cmake (>= 3.24~),
               ninja-build,
               pkgconf,
               qt6-base-dev (>= 6.9.1+dfsg~),
               qt6-l10n-tools (>= 6.9.1~),
               qt6-tools-dev (>= 6.9.1~),
               qt6-tools-dev-tools (>= 6.9.1~),
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
Rules-Requires-Root: no

Package: qt6-translations-l10n
Architecture: all
Depends: ${misc:Depends},
Description: translations for Qt 6
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides translation files for Qt itself and some base apps,
 such as Qt Linguist, Qt Assistant and Qt Designer.

## qt6-translations 6.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,4 +18,9 @@
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
 find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Linguist)
 
+if(NOT Qt6Linguist_FOUND)
+    message(NOTICE "Skipping the build as the condition \"Qt6Linguist_FOUND\" is not met.")
+    return()
+endif()
+
 qt_build_repo()

=== debian/changelog ===
qt6-translations (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove ccache as a build-dependency.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 10:43:24 +0100

qt6-translations (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:10:51 +0200

qt6-translations (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Sep 2025 21:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,17 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               ccache,
                cmake (>= 3.24~),
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-l10n-tools (>= 6.9.1~),
-               qt6-tools-dev (>= 6.9.1~),
-               qt6-tools-dev-tools (>= 6.9.1~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-l10n-tools (>= 6.9.2~),
+               qt6-tools-dev (>= 6.9.2~),
+               qt6-tools-dev-tools (>= 6.9.2~),
 Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git
-Rules-Requires-Root: no
 
 Package: qt6-translations-l10n
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_install:
	dh_install
	# do not install the license-file into an arch-dependent location
	rm -rf $(CURDIR)/debian/qt6-translations-l10n/usr/lib/

## qt6-translations 6.9.3

=== debian/changelog ===
qt6-translations (6.9.3-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 00:34:16 +0000

qt6-translations (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-translations (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:31:17 +1000

qt6-translations (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:49:42 +1000

qt6-translations (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:35:06 +1000

qt6-translations (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:28:57 +1000

qt6-translations (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:58:59 +1000

qt6-translations (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:57:49 +1000

qt6-translations (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:22:34 +1000

qt6-translations (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:30:49 +1000

qt6-translations (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 22:12:38 +1000

qt6-translations (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 14:57:21 +0100

=== debian/control ===
Source: qt6-translations
Section: localization
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-tools-dev (>= 6.9.3~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-translations.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-translations
Maintainer: Neon CI <neon@kde.org>

Package: qt6-translations
Architecture: any
Depends: qt6-base, qt6-tools, ${misc:Depends}
Breaks: qt6-translations-l10n (<< 6.8.3~)
Replaces: qt6-translations-l10n
Description: translations for Qt 6
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides translation files for Qt itself and some base apps,
 such as Qt Linguist, Qt Assistant and Qt Designer.

Package: qt6-translations-l10n
Architecture: all
Depends: qt6-translations, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

#### uncomment when bootstrapping a new qt release ####
#export DEB_BUILD_PROFILES := ${DEB_BUILD_PROFILES} nodoc

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

## qt6-translations 6.10.0

=== debian/changelog ===
qt6-translations (6.10.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:19:44 +0000

qt6-translations (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:19 +1000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-tools-dev (>= 6.9.3~)
+               qt6-base-dev (>= 6.10.0~),
+               qt6-tools-dev (>= 6.10.0~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-translations 6.10.1

=== debian/changelog ===
qt6-translations (6.10.1-0zneon+24.04+noble+stable+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 06:48:13 +0000

qt6-translations (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:05 +1000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-tools-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-tools-dev (>= 6.10.1~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,5 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qttranslations-everywhere-src-([\d\.]+\d).tar.xz

## qt6-translations 6.10.2

=== debian/changelog ===
qt6-translations (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 09:57:01 +0100

=== debian/control ===
Source: qt6-translations
Section: localization
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.24~),
               ninja-build,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-l10n-tools (>= 6.10.2~),
               qt6-tools-dev (>= 6.10.2~),
               qt6-tools-dev-tools (>= 6.10.2~),
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-translations.git

Package: qt6-translations-l10n
Architecture: all
Depends: ${misc:Depends},
Description: translations for Qt 6
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides translation files for Qt itself and some base apps,
 such as Qt Linguist, Qt Assistant and Qt Designer.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qttranslations-everywhere-src-(.*)\.tar\.xz
